Tidy error to r in lock_fs.
--- diff/drivers/md/dm.c	2005-07-11 17:17:14.000000000 +0100
+++ source/drivers/md/dm.c	2005-07-11 17:16:57.000000000 +0100
@@ -985,7 +985,7 @@
  */
 static int lock_fs(struct mapped_device *md)
 {
-	int error = -ENOMEM;
+	int r = -ENOMEM;
 
 	md->frozen_bdev = bdget_disk(md->disk, 0);
 	if (!md->frozen_bdev) {
@@ -997,7 +997,7 @@
 
 	md->frozen_sb = freeze_bdev(md->frozen_bdev);
 	if (IS_ERR(md->frozen_sb)) {
-		error = PTR_ERR(md->frozen_sb);
+		r = PTR_ERR(md->frozen_sb);
 		goto out_bdput;
 	}
 
@@ -1012,7 +1012,7 @@
 	md->frozen_sb = NULL;
 	md->frozen_bdev = NULL;
 out:
-	return error;
+	return r;
 }
 
 static void unlock_fs(struct mapped_device *md)
